---
type: api
title: Get runner
description: Retrieves a runner by id.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-get-runner
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-get-runner
products:
  - Elastic Cloud Enterprise
---

# Get runner

## Paths

- `GET` `/platform/infrastructure/runners/{runner_id}`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#apikey)

#### Path Parameters

- `runner_id` (string)
  The identifier for the runner

## Description

Retrieves a runner by id.

## Responses

#### `200`

The information for the runner specified by {runner_id}.

`application/json`

- `runner_id` (string)
  The runner identifier
- `runner_name` (string)
  The runner name
- `zone` (string)
  Identifier of the zone
- `tags` (map string to string)
  Meta data of the runner, like image ID or processor architecture
- `features` (map string to boolean)
  State of features of the runner
- `build_info` ({} RunnerBuildInfo)
  - `commit_hash` (string)
    Git commit hash
  - `version` (string)
    Version of the runner artifact
- `host_ip` (string)
  Host IP for the runner
- `public_hostname` (string)
  Public hostname for the runner
- `containers` ([] RunnerContainerInfo)
  Containers for the runner
  - `container_name` (string)
    Name of this container
  - `container_set_name` (string)
    Name of the container set for the container
- `roles` ([] RunnerRoleInfo)
  Roles for the runner
  - `role_name` (string)
    Name of the role
- `connected` (boolean)
  Specifies if the runner is connected
- `healthy` (boolean)
  Specifies if the runner is healthy
- `health_checks` ({} RunnerHealthChecks)
  The checks performed to determine if an runner is healthy or not.
  - `is_docker_healthy` (boolean)
    Check performed by the runner to figure out if docker is healthy
  - `is_connected_to_zk` (boolean)
    Whether the runner is connected to zk or not
  - `has_containers` (boolean)
    Whether the runner has containers that it manages
- `region` (string)
  The region that this runner belongs to. Only populated in SaaS or federated ECE.
#### `404`

Unable to find the {runner_id} specified runner. Edit your request, then try again. (code: `runners.runner_not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
GET /platform/infrastructure/runners/{runner_id}
```

#### curl

```curl
curl -X GET "/platform/infrastructure/runners/{runner_id}"
```

